| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::sfm::BaseSFM Class Referenceabstract
Structure From Motion » Simple Pipeline

base class BaseSFM declares a common API that would be used in a typical scene reconstruction scenario More...

`#include <opencv2/sfm/simple_pipeline.hpp>`

Collaboration diagram for cv::sfm::BaseSFM:

## Public Member Functions
virtual | ~BaseSFM ()
virtual void | getCameras (OutputArray Rs, OutputArray Ts)=0
virtual double | getError () const =0
virtual cv::Mat | getIntrinsics () const =0
virtual void | getPoints (OutputArray points3d)=0
virtual void | run (const std::vector< String > &images)=0
virtual void | run (const std::vector< String > &images, InputOutputArray K, OutputArray Rs, OutputArray Ts, OutputArray points3d)=0
virtual void | run (InputArrayOfArrays points2d)=0
virtual void | run (InputArrayOfArrays points2d, InputOutputArray K, OutputArray Rs, OutputArray Ts, OutputArray points3d)=0
virtual void | setCameraIntrinsicOptions (const libmv_CameraIntrinsicsOptions &libmv_camera_intrinsics_options)=0
virtual void | setReconstructionOptions (const libmv_ReconstructionOptions &libmv_reconstruction_options)=0

## Detailed Description

base class BaseSFM declares a common API that would be used in a typical scene reconstruction scenario

## Constructor & Destructor Documentation

## ◆ ~BaseSFM()

virtual cv::sfm::BaseSFM::~BaseSFM | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ getCameras()

virtual void cv::sfm::BaseSFM::getCameras | ( | OutputArray | Rs,
|  | OutputArray | Ts )
| pure virtual

Implemented in cv::sfm::SFMLibmvEuclideanReconstruction.

## ◆ getError()

virtual double cv::sfm::BaseSFM::getError | ( |  | ) | const
| pure virtual

Implemented in cv::sfm::SFMLibmvEuclideanReconstruction.

## ◆ getIntrinsics()

virtual cv::Mat cv::sfm::BaseSFM::getIntrinsics | ( |  | ) | const
| pure virtual

Implemented in cv::sfm::SFMLibmvEuclideanReconstruction.

## ◆ getPoints()

virtual void cv::sfm::BaseSFM::getPoints | ( | OutputArray | points3d | ) |
| pure virtual

Implemented in cv::sfm::SFMLibmvEuclideanReconstruction.

## ◆ run() [1/4]

virtual void cv::sfm::BaseSFM::run | ( | const std::vector< String > & | images | ) |
| pure virtual

Implemented in cv::sfm::SFMLibmvEuclideanReconstruction.

## ◆ run() [2/4]

virtual void cv::sfm::BaseSFM::run | ( | const std::vector< String > & | images,
|  | InputOutputArray | K,
|  | OutputArray | Rs,
|  | OutputArray | Ts,
|  | OutputArray | points3d )
| pure virtual

Implemented in cv::sfm::SFMLibmvEuclideanReconstruction.

## ◆ run() [3/4]

virtual void cv::sfm::BaseSFM::run | ( | InputArrayOfArrays | points2d | ) |
| pure virtual

Implemented in cv::sfm::SFMLibmvEuclideanReconstruction.

## ◆ run() [4/4]

virtual void cv::sfm::BaseSFM::run | ( | InputArrayOfArrays | points2d,
|  | InputOutputArray | K,
|  | OutputArray | Rs,
|  | OutputArray | Ts,
|  | OutputArray | points3d )
| pure virtual

Implemented in cv::sfm::SFMLibmvEuclideanReconstruction.

## ◆ setCameraIntrinsicOptions()

virtual void cv::sfm::BaseSFM::setCameraIntrinsicOptions | ( | const libmv_CameraIntrinsicsOptions & | libmv_camera_intrinsics_options | ) |
| pure virtual

Implemented in cv::sfm::SFMLibmvEuclideanReconstruction.

## ◆ setReconstructionOptions()

virtual void cv::sfm::BaseSFM::setReconstructionOptions | ( | const libmv_ReconstructionOptions & | libmv_reconstruction_options | ) |
| pure virtual

Implemented in cv::sfm::SFMLibmvEuclideanReconstruction.

The documentation for this class was generated from the following file:

- opencv2/sfm/simple_pipeline.hpp